Bug 1187737 - [abrt] gnome-shell: meta_window_unmanage(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: meta_window_unmanage(): gnome-shell killed by SIGSEGV
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ba81b9f4b73f02a59e67ae7f393...
Keywords:
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2015-01-30 18:47 UTC by Joachim Frieben
Modified: 2016-07-19 12:44 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-07-19 12:44:49 UTC


Attachments (Terms of Use)
File: backtrace (56.90 KB, text/plain)
2015-01-30 18:47 UTC, Joachim Frieben
no flags Details
File: cgroup (190 bytes, text/plain)
2015-01-30 18:47 UTC, Joachim Frieben
no flags Details
File: core_backtrace (22.74 KB, text/plain)
2015-01-30 18:47 UTC, Joachim Frieben
no flags Details
File: dso_list (24.69 KB, text/plain)
2015-01-30 18:47 UTC, Joachim Frieben
no flags Details
File: environ (841 bytes, text/plain)
2015-01-30 18:47 UTC, Joachim Frieben
no flags Details
File: exploitable (82 bytes, text/plain)
2015-01-30 18:48 UTC, Joachim Frieben
no flags Details
File: limits (1.29 KB, text/plain)
2015-01-30 18:48 UTC, Joachim Frieben
no flags Details
File: maps (116.36 KB, text/plain)
2015-01-30 18:48 UTC, Joachim Frieben
no flags Details
File: open_fds (6.00 KB, text/plain)
2015-01-30 18:48 UTC, Joachim Frieben
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2015-01-30 18:48 UTC, Joachim Frieben
no flags Details
File: var_log_messages (6.29 KB, text/plain)
2015-01-30 18:48 UTC, Joachim Frieben
no flags Details

Description Joachim Frieben 2015-01-30 18:47:47 UTC
Version-Release number of selected component:
gnome-shell-3.15.4-1.fc22

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell --wayland --display-server
crash_function: meta_window_unmanage
executable:     /usr/bin/gnome-shell
kernel:         3.19.0-0.rc6.git2.2.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 meta_window_unmanage at core/window.c:1227
 #1 destroy_window at wayland/meta-wayland-surface.c:651
 #2 xdg_surface_destructor at wayland/meta-wayland-surface.c:727
 #3 destroy_resource at src/wayland-server.c:532
 #4 for_each_helper at src/wayland-util.c:354
 #5 wl_map_for_each at src/wayland-util.c:360
 #6 wl_client_destroy at src/wayland-server.c:670
 #7 wl_client_connection_data at src/wayland-server.c:245
 #8 wl_event_loop_dispatch at src/event-loop.c:419
 #9 wayland_event_source_dispatch at wayland/meta-wayland.c:85

Comment 1 Joachim Frieben 2015-01-30 18:47:51 UTC
Created attachment 986176 [details]
File: backtrace

Comment 2 Joachim Frieben 2015-01-30 18:47:52 UTC
Created attachment 986177 [details]
File: cgroup

Comment 3 Joachim Frieben 2015-01-30 18:47:54 UTC
Created attachment 986178 [details]
File: core_backtrace

Comment 4 Joachim Frieben 2015-01-30 18:47:56 UTC
Created attachment 986179 [details]
File: dso_list

Comment 5 Joachim Frieben 2015-01-30 18:47:57 UTC
Created attachment 986180 [details]
File: environ

Comment 6 Joachim Frieben 2015-01-30 18:48:02 UTC
Created attachment 986181 [details]
File: exploitable

Comment 7 Joachim Frieben 2015-01-30 18:48:03 UTC
Created attachment 986182 [details]
File: limits

Comment 8 Joachim Frieben 2015-01-30 18:48:06 UTC
Created attachment 986183 [details]
File: maps

Comment 9 Joachim Frieben 2015-01-30 18:48:07 UTC
Created attachment 986184 [details]
File: open_fds

Comment 10 Joachim Frieben 2015-01-30 18:48:09 UTC
Created attachment 986185 [details]
File: proc_pid_status

Comment 11 Joachim Frieben 2015-01-30 18:48:10 UTC
Created attachment 986186 [details]
File: var_log_messages

Comment 12 Jaroslav Reznik 2015-03-03 16:48:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 13 Fedora End Of Life 2016-07-19 12:44:49 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.